/* 登録外のオプションの番号を読み出す */

#include "defines.h"

extern	int	_Pcheck_Num_;
extern	char	_Pcheck_No_[];

int read_param_no2(int prm[],unchar *argv[],int argc)
{
unint i,j,k=0;
unchar c;
	for (i=1;i<argc;i++) {
		c=argv[i][0];
		if (c=='-' || c=='/') { /* オプションの印 */
			for (j=0;j<_Pcheck_Num_;j++) { /* サーチ */
				if (i==_Pcheck_No_[j]) break; /* 一致 */
			}
			/* このオプションは登録されていない */
			if (j==_Pcheck_Num_) prm[k++]=i;
		}
	}
	return(k); /* 何個登録されているか：prm[0〜k-1] */
}
